# AP4_SubStream Class Reference

`#include <Ap4ByteStream.h>`

Inheritance diagram for AP4_SubStream:

List of all members.

## Public Member Functions
| AP4_SubStream (AP4_ByteStream &container, AP4_Position position, AP4_LargeSize size)
AP4_Result | ReadPartial (void *buffer, AP4_Size bytes_to_read, AP4_Size &bytes_read)
AP4_Result | WritePartial (const void *buffer, AP4_Size bytes_to_write, AP4_Size &bytes_written)
AP4_Result | Seek (AP4_Position position)
AP4_Result | Tell (AP4_Position &position)
AP4_Result | GetSize (AP4_LargeSize &size)
void | AddReference ()
void | Release ()
## Protected Member Functions
virtual | ~AP4_SubStream ()

## Detailed Description

Definition at line 79 of file Ap4ByteStream.h.

## Constructor & Destructor Documentation

AP4_SubStream::AP4_SubStream | ( | AP4_ByteStream & | container,
|  | AP4_Position | position,
|  | AP4_LargeSize | size |
| ) |  |  |

virtual AP4_SubStream::~AP4_SubStream | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

AP4_Result AP4_SubStream::ReadPartial | ( | void * | buffer,
|  | AP4_Size | bytes_to_read,
|  | AP4_Size & | bytes_read |
| ) |  |  | `[virtual]`

Implements AP4_ByteStream.

AP4_Result AP4_SubStream::WritePartial | ( | const void * | buffer,
|  | AP4_Size | bytes_to_write,
|  | AP4_Size & | bytes_written |
| ) |  |  | `[virtual]`

Implements AP4_ByteStream.

AP4_Result AP4_SubStream::Seek | ( | AP4_Position | position | ) | `[virtual]`

Implements AP4_ByteStream.

AP4_Result AP4_SubStream::Tell | ( | AP4_Position & | position | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 94 of file Ap4ByteStream.h.

References AP4_SUCCESS.

AP4_Result AP4_SubStream::GetSize | ( | AP4_LargeSize & | size | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 98 of file Ap4ByteStream.h.

References AP4_SUCCESS.

void AP4_SubStream::AddReference | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

void AP4_SubStream::Release | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

The documentation for this class was generated from the following file:

- Ap4ByteStream.h